File geronimo-specs.changes of Package geronimo-specs

-------------------------------------------------------------------
Mon Jan 27 06:32:39 UTC 2020 - Fridrich Strba <fstrba@suse.com>

- On supported platforms, avoid building with OpenJ9, in order to
  prevent build cycles.

-------------------------------------------------------------------
Tue Dec 10 23:10:17 UTC 2019 - Fridrich Strba <fstrba@suse.com>

- Set version for the specs comming from tag 1_1_1 in order to
  avoid unexpanded version macros in pom files.

-------------------------------------------------------------------
Mon Apr 15 13:02:26 UTC 2019 - Fridrich Strba <fstrba@suse.com>

- Removed patches:
  * geronimo-specs-1.2-pom_xml.patch
  * geronimo-specs-corba-2.3-pom_xml.patch
  * geronimo-specs-j2ee-1.4-pom_xml.patch
  * geronimo-specs-j2ee-connector-1.5-pom_xml.patch
  * geronimo-specs-jta-1.0.1B-pom_xml.patch
  * geronimo-specs-servlet-2.4-pom_xml.patch
    + Not needed since we are not building with maven and some
      of the modifications are possible using the
      javapackages-local macros.
- Remove all reference to parent pom, since we are not building
  with maven, and don't package the parent pom in this build.
- Stop using alternatives to handle different versions of provides.
- Avoid multiplication of jar symlinks

-------------------------------------------------------------------
Fri Apr 12 13:16:12 UTC 2019 - Julio Gonzalez Gil <jgonzalez@suse.com>

- Obsoletes, conflicts and provides must use only %%{version} as the 
  the release is managed automatically by OBS and not needed  (bsc#1132514)

-------------------------------------------------------------------
Tue Mar 19 18:58:56 UTC 2019 - Fridrich Strba <fstrba@suse.com>

- Let each package obsolete and conflict with the 
  %%{name}-poms < %%{version}-%%{release} in order to make upgrades
  smooth

-------------------------------------------------------------------
Thu Dec 13 17:26:30 UTC 2018 - Fridrich Strba <fstrba@suse.com>

- Add alias javax.jms:jms to geronimo-jms-1_1-api

-------------------------------------------------------------------
Wed Nov 21 17:38:53 UTC 2018 - Fridrich Strba <fstrba@suse.com>

- Add aliases org.eclipse.jetty.orbit:javax.transaction and
  javax.transaction:jta to geronimo-jta-1_1-api

-------------------------------------------------------------------
Mon Nov 12 09:00:42 UTC 2018 - Fridrich Strba <fstrba@suse.com>

- Add alias javax.persistence:persistence-api to
  geronimo-jpa-3.0-api subpackage

-------------------------------------------------------------------
Mon Nov 12 04:49:55 UTC 2018 - Fridrich Strba <fstrba@suse.com>

- Package the pom files together with their corresponding jars,
  since packaging poms separately makes no sense at all
- Rename geronimo-specs-poms package to geronimo-specs-pom, since
  it now contains only the parent pom.

-------------------------------------------------------------------
Fri Nov  9 14:15:43 UTC 2018 - Fridrich Strba <fstrba@suse.com>

- Add two aliases to the maven artifact in 
  geronimo-annotation-1_0-api sub-package

-------------------------------------------------------------------
Mon Jul 16 09:49:33 UTC 2018 - fstrba@suse.com

- BuildConflict with java-devel >= 11, since the build uses tools
  and APIs removed in jdk11

-------------------------------------------------------------------
Thu May 17 07:58:39 UTC 2018 - fstrba@suse.com

- Build with source and target 8 to prepare for a possible removal
  of 1.6 compatibility

-------------------------------------------------------------------
Fri Sep  8 07:54:40 UTC 2017 - fstrba@suse.com

- Specify java source and target version to 1.6 in order to allow
  build with jdk9
- Modified source:
  * geronimo-specs.build.xml
    - specify encoding UTF-8, since the files use UTF-8 characters

-------------------------------------------------------------------
Fri May 19 14:33:51 UTC 2017 - tchvatal@suse.com

- Remove javadoc to cut build time in half

-------------------------------------------------------------------
Fri May 19 13:22:01 UTC 2017 - tchvatal@suse.com

- Fix building with new javapackages-tools
- Remove unused conditionals

-------------------------------------------------------------------
Wed Mar 18 09:46:07 UTC 2015 - tchvatal@suse.com

- Fix build with new javapackages-tools

-------------------------------------------------------------------
Tue Jul 29 11:26:17 UTC 2014 - tchvatal@suse.com

- Do not mess with defattr as it is pointless.

-------------------------------------------------------------------
Fri Jul 25 12:18:42 UTC 2014 - tchvatal@suse.com

- Try to use the update-alternatives properly.

-------------------------------------------------------------------
Mon Sep  9 11:05:41 UTC 2013 - tchvatal@suse.com

- Move from jpackage-utils to javapackage-tools

-------------------------------------------------------------------
Tue Sep  3 14:09:38 UTC 2013 - mvyskocil@suse.com

- use add_maven_depmap from javapackages-tools 

-------------------------------------------------------------------
Mon Dec 17 12:37:31 UTC 2012 - mvyskocil@suse.com

- drop useless excalibur-avalon from build requires 

-------------------------------------------------------------------
Mon Sep 19 12:35:44 UTC 2011 - mvyskocil@suse.cz

- fix a typo in alternatives --install call causing a build failure 

-------------------------------------------------------------------
Wed May  6 16:19:03 CEST 2009 - mvyskocil@suse.cz

- Update to 1.2  
  * bugfix release and update release
  * JPA support.
  * CA - Certificate Authority capabilities, you can now issue certificates in
    reply to CSRs. See http://cwiki.apache.org/GMOxDOC12/certification-authority.html
- synchronized specfile with jpackage 5.0
  * mavenized
  * obsoleted geronimo-specs-j2ee-management-pom.patch,
    geronimo-specs-pom_xml.patch, geronimo-spec-javamail-sun-security.patch
  * do not use triggers
  * use alternatives system
- used one build.xml for all packages ==> shorter %%build section
- fdupes used on javadoc
- new packages
  * geronimo-ws-metadata
  * geronimo-stax-1_0-api
  * geronimo-servlet-2_5
  * geronimo-jta-1_1-api
  * geronimo-jsp-2_1-api
  * geronimo-jpa-3_0-api
  * geronimo-javamail-1_4-api
  * geronimo-j2ee-management-1_1
  * geronimo-jacc-1_1-api
  * geronimo-javaee-deployment
  * geronimo-interceptor-3_0-api
  * geronimo-el-1_0-api
  * geronimo-ejb-3_0-api
  * geronimo-annotation-1_0-api
  * geronimo-jaf-1_1-api
  * geronimo-specs-javadoc
- undot.py to remove dots from package names
- remove %%{release} from Requires

-------------------------------------------------------------------
Mon Dec  1 10:58:58 CET 2008 - mvyskocil@suse.cz

- added a Conflicts to gnu-jaf to geronimo-jav-1_0_2-api 

-------------------------------------------------------------------
Tue Aug 26 09:31:31 CEST 2008 - anosek@suse.cz

- fixed path to LICENSE.txt files in spec 

-------------------------------------------------------------------
Mon Aug 25 11:47:57 CEST 2008 - mvyskocil@suse.cz

- target=1.5 source=1.5
- removed a gcj support
- fixed some rpmlint warnings

-------------------------------------------------------------------
Tue Apr 22 00:53:09 CEST 2008 - ro@suse.de

- changed requires of main package to use underscores as well 

-------------------------------------------------------------------
Thu Apr 17 09:12:41 CEST 2008 - mvyskocil@suse.cz

- Dots in names was replaced by underscore
- Added a PreReq on coreutils
- Removed of BuildRoot removal in %install phase

-------------------------------------------------------------------
Mon Apr  7 17:16:32 CEST 2008 - mvyskocil@suse.cz

- First release in Suse (JPP 1.7) version 1.1
  - build dependency for log4j update [bnc#355798]
  - added a build support using ant
  - FIXME: the corba-3.0 package is not currently included
openSUSE Build Service is sponsored by